package com.app.framework.core.log.intercept;

import java.util.HashMap;
import java.util.Map;
/**
 * 日志记录器注册中心
 * 	用来关联拦截的class 与 具体的日志记录器
 */
public class LogInterceptCenter {
	
	private static Map<Class<?>, Class<?>> map = new HashMap<Class<?>,  Class<?>>();
	
	public static Class<?> getHandler(Class<?> c) {
		return map.get(c);
	}
	
	/**
	 * 注册日志拦截器
	 * @param c					要拦截日志的class
	 * @param interceptClass	拦截器class
	 */
	public static void register(Class<?> c, Class<?> interceptClass){
		map.put(c, interceptClass);
	}
}
